// Path: Frontend/src/routes/index.tsx

import { useNavigate } from "@solidjs/router";
import type { Component } from "solid-js";
import styles from "./landing.module.scss";

const HomePage: Component = () => {
	const navigate = useNavigate();

	const handleNavigation = () => {
		navigate("/auth/login");
	};

	return (
		<main class={styles.landingPage}>
			<h1>Rooster AI Demo</h1>
			<sub>The leading AI online learning platform for Maths and English</sub>

			<button type="button" onClick={handleNavigation}>
				Get Started
			</button>
		</main>
	);
};

export default HomePage;
